package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 体测随访体测类型定义表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_tc")
public class FollowUpTc extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8716595132524893297L;

	// 问卷随访项标识
	private String code;
	// 医生标识，0代表为系统随访项
	private String doctor;
	// 体测指标类型（1血糖，2血压，3体重，4腰围）
	private int index;
	// 标题
	private String title;
	// 选项json串用于查询
	private String content;
	// 添加时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name="tc_index")
	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
